Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Class FileVFS.LocalDirectoryEntry

    java.lang.Object
      org.gjt.sp.jedit.io.VFS.DirectoryEntry
          org.gjt.sp.jedit.io.FileVFS.LocalDirectoryEntry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileVFS

public static class FileVFS.LocalDirectoryEntry
extends VFS.DirectoryEntry

See Also:
  Serialized Form

Field Summary
`static java.text.DateFormat` | `DATE_FORMAT`
`long` | `modified`

Fields inherited from class org.gjt.sp.jedit.io.VFS.DirectoryEntry
`canRead, canWrite, color, colorCalculated, deletePath, DIRECTORY, FILE, FILESYSTEM, hidden, length, name, path, symlinkPath, type`

Constructor Summary
`FileVFS.LocalDirectoryEntry(java.io.File file)`

Method Summary
`java.lang.String` | `getExtendedAttribute(java.lang.String name)` Returns the value of an extended attribute.

Methods inherited from class org.gjt.sp.jedit.io.VFS.DirectoryEntry
`getColor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static java.text.DateFormat DATE_FORMAT

### modified

    public long modified

Constructor Detail

### FileVFS.LocalDirectoryEntry

    public FileVFS.LocalDirectoryEntry(java.io.File file)

Method Detail

### getExtendedAttribute

    public java.lang.String getExtendedAttribute(java.lang.String name)

  Description copied from class: `VFS.DirectoryEntry`
  Returns the value of an extended attribute. Note that this returns formatted strings (eg, "10 Mb" for a file size of 1048576 bytes). If you need access to the raw data, access fields and methods of this class.

  Overrides:
    `getExtendedAttribute` in class `VFS.DirectoryEntry`
  Parameters:
    `name` - The extended attribute name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD